Place a new order

Place a new order.
Fields qty, routeId, side, validity, type, tradableInstrumentId are mandatory inside of the request body. Price can be set to 0 for market orders.

If using a stop type of order, you must specify the stopPrice.

Validity (also known as TimeInForce - TIF in some error messages) must be IOC for market orders and GTC for limit and stop orders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Account identifier.

Body Params

Request body with parameters

number

Limit Price for Limit order.

number
required

The number of units to open the buy or sell order.

number
required

Identifier of the trade connection. Find the corresponding INFO or TRADE routeId by querying the /trade/accounts/{accountId}/instruments endpoint.

string
enum
required

Order side. If the creating order is a closing one for the position, then the side must be opposite to the side of the position

Allowed:
string

Arbitrary string (up to 31 chars) that can be attached to identify orders and positions placed through algorithmic trading. This value will also be visible in GET /orders, GET /ordersHistory, and GET /positions.

number

Stop loss amount for the order. Must be specified in case of absolute or offset stop loss type.

string
enum

Type of stop loss price for the order. Available types: absolute, offset, trailingOffset.

Allowed:
number

Stop Price for Stop orders.

number

TakeProfit amount for the order. Must be specified together with the takeProfitType field. Specifies either the absolute price, or an offset in pips.

string
enum

Type of take profit for the order. Available types: [absolute, offset]. Must be specified together with the takeProfit field.

Allowed:
number

For the 'trailingOffset' stopLossType. The trailing offset in pips.

int64
required

Identifier of the instrument that is used for trading purposes.

string
enum
required

Order type. Available types: limit, market, stop. If using a stop order, the stopPrice field must be specified. If using a limit order, the price field must be specified. If using a market order, the price field is ignored.

Allowed:
string
enum
required

Whether the order is Good Till Cancelled (GTC) or Immediate or Cancel (IOC). For market orders, use IOC, otherwise, use GTC. In error messages, Validity is sometimes referred to as TimeInForce (TIF).

Allowed:
Headers
int32
required

Account number

string

developer-api-key

Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json